Subject: Re: bug#10186: 23.3; save-some-buffers not making review windows large enough

From: Dave Abrahams <[email-masked]>
Date: Fri, 02 Dec 2011 09:34:14 -0500

on Fri Dec 02 2011, martin rudalics <rudalics-AT-gmx.at> wrote:

>>> The window has the size provided by `display-buffer'.  What are your
>>> values of `split-height-threshold' and `split-width-threshold'?
>>
>> nil
>
> This means that you get a two-windows frame and your window is still too
> small?  In this case I would suggest popping up a frame instead.

No, my frame is huge.  The problem is that it is already divided up,
including a small window that sometimes/often gets chosen by Emacs for
display-buffer.

>> and 160, respectively.
>
>>> Setting `enable-recursive-minibuffers' to a non-nil value should allow
>>> to do that.
>>
>> I've always been leery of doing that, just because I figured it's
>> disabled-by-default for a reason, but I will try it.  That said, doing
>> something that's considered "unsafe for novices" shouldn't  be required
>> in order to make something so basic as save-some-buffers work, should
>> it?
>
> Doesn't C-M-v work with the default `display-buffer' approach?

I don't know; I've never tried it.  I don't often try to do anything to
a window other than the current one without leaving it.  I'm a fairly
experienced Emacs user; it seems to me that if I was stumped by this
there must be a problem.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com